/*
 * 
 *
 * This file is part of the libburgner library.
 *
 * Copyright (c) 2002 Alexandre Archambault
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 *
 * Authors:
 *	Alexandre Archambault <aarchambault@free.fr>
 */


#ifndef __BURGNER_ISOFS_UTILS_H__
#define __BURGNER_ISOFS_UTILS_H__

#include <glib.h>

G_BEGIN_DECLS


void burgner_isofs_set_711 (guchar *p, guint8 v);
void burgner_isofs_set_712 (guchar *p, gint8 v);
void burgner_isofs_set_721 (guchar *p, guint16 v);
void burgner_isofs_set_722 (guchar *p, guint16 v);
void burgner_isofs_set_723 (guchar *p, guint16 v);
void burgner_isofs_set_731 (guchar *p, guint32 v);
void burgner_isofs_set_732 (guchar *p, guint32 v);
void burgner_isofs_set_733 (guchar *p, guint32 v);

G_END_DECLS

#endif /* __BURGNER_ISOFS_UTILS_H__ */

