/*
 * 
 *
 * Copyright (c) 2003 Alexandre Archambault
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 *
 * Authors:
 *	Alexandre Archambault <aarchambault@free.fr>
 */

#ifndef __BURGNER_SCSI_STAGE_ERROR_UTILS_H__
#define __BURGNER_SCSI_STAGE_ERROR_UTILS_H__

#include <glib.h>
#include <libburgnerscsi/burgner-scsi-stage.h>

G_BEGIN_DECLS

BurgnerScsiStageError burgner_scsi_stage_error_from_status_code
						(gint status_code);

void burgner_scsi_stage_set_error_from_status_code (GError **error,
						   guint status_code);

G_END_DECLS

#endif /* __BURGNER_SCSI_STAGE_ERROR_UTILS_H__ */

