/*
 * GUri Dynamic Parser
 *
 * Copyright (c) 2001 Alexandre Archambault
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 *
 * Authors:
 *	Alexandre Archambault <aarchambault@free.fr>
 */

#ifndef __G_URI_PARSER_DYNAMIC_H__
#define __G_URI_PARSER_DYNAMIC_H__

G_BEGIN_DECLS

gboolean
_g_uri_parser_dynamic_parse_uri (gchar *uri,
				     gchar **scheme,
				     gchar **authority,
				     gchar **path,
				     gboolean *is_absolute,
				     gchar **query,
				     gchar **fragment,
				     gboolean validate,
				     GError **error);

G_END_DECLS

#endif /* __G_URI_PARSER_DYNAMIC_H__ */
