/*
 * GUri Parser static
 *
 * Copyright (c) 2001 Alexandre Archambault
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 *
 * Authors:
 *	Alexandre Archambault <aarchambault@free.fr>
 */


#ifndef __G_URI_PATH_PARSER_H__
#define __G_URI_PATH_PARSER_H__

#include <glib.h>

G_BEGIN_DECLS

GList *_g_uri_path_parser_static_parse_path (gchar *path, gboolean include_last_segment, gboolean *absolute);
GList *_g_url_path_parser_dynamic_parse_path (gchar *path, gboolean include_last_segment,
gboolean *absolute);


void _g_uri_path_static_to_dynamic (GList *path);


GList *_g_uri_path_parser_static_reduce (GList *path);
gchar *_g_uri_path_format (GList *path, gboolean absolute);


G_END_DECLS

#endif /* __G_URI_PATH_PARSER_H__ */

